import React from 'react';
import { Link } from '@magento/venia-drivers';
import defaultClasses from './megaMenu.css';
import MenuCategories from './menuCategories.js';
const MegaMenuCategories = (props) => {
    const {category,key,isParentCategory} = props;
    return(
        <ul className={isParentCategory? defaultClasses.parent_col : defaultClasses.menu_col} key={key}>
            <li className={defaultClasses.menu_col_inner}>
                <li className={defaultClasses.menu_list}>
                    {category.url ?
                    <Link to={`/${category.url}`}><span className={isParentCategory ? defaultClasses.menu_heading : ''}>{category.name}</span></Link> :
                    <p className={isParentCategory ? defaultClasses.menu_heading : ''}>{category.name}</p>}
                </li>
                {category.children_count>0 &&
                <MenuCategories parentCategoryId={category.entity_id} isParentCategory={false}/>}
            </li>
        </ul>
    )
}
export default MegaMenuCategories;