import React from 'react';
import { Link } from '@magento/venia-drivers';
import defaultClasses from './megaMenu.css';
import CustomItem from './menuCustomItems.js';
const MegaMenuSubCustomItems = (props) => {
    const {item,key,isParentItem} = props;
    return(
        <ul className={isParentItem? defaultClasses.parent_col : defaultClasses.menu_col} key={key}>
            <li className={defaultClasses.menu_col_inner}>
                <li className={defaultClasses.menu_list}>
                    <i class={item.icon}></i>
                    {item.url ?
                    <Link style={{color:`${item.color}`}} to={`/${item.url}`}><span className={isParentItem ? defaultClasses.menu_heading : ''}>{item.title}</span></Link> :
                    <p style={{color:`${item.color}`}} className={isParentItem ? defaultClasses.menu_heading : ''}>{item.title}</p>}
                </li>
                {item.children && item.children.length>0 &&
                    <CustomItem customItems={item.children} isParentItem={false}/>
                }
            </li>
        </ul>
    );
}
export default MegaMenuSubCustomItems;