import React from 'react';
import defaultClasses from './megaMenu.css';
import OwlCarousel from "react-owl-carousel";
import {useProductsBySku} from '../../peregrine/lib/talons/MegaMenuAdvance/useMegaMenu';
import GET_PRODUCTS_BY_SKU from '../../queries/getMegaMenuProductsBySku.graphql';
import Gallery from '../Gallery/item.js';

const megaMenuProductSlider = (props) => {
    const {skus} = props;
    const {data} = useProductsBySku({
        productsBySkuQuery: GET_PRODUCTS_BY_SKU,
        skus: skus.split(',')
    });

    const responsive1 = {
        0: {
          items: 1,
        },
        450: {
          items: 1,
        },
        600: {
          items: 1,
        },
        1000: {
          items: 1,
        },
    };
    return(
        <div className={defaultClasses.megamenu_items_slider}>
            <h2 className={defaultClasses.megamenu_items_slider_heading}>Featured products</h2>
            {typeof data !='undefined' &&
            <OwlCarousel className={"owl-theme" + " " + defaultClasses.owl_thme_design}
                loop={true}
                margin={10}
                nav={false}
                dots={false}
                autoplay={true}
                autoplayTimeout={2000}
                autoplayHoverPause={true}
                items={1}
                responsive={responsive1}
            >
              {data.products.items.map((value, index) => {
                return (
                  <div className={defaultClasses.owl_items_wrap}>
                    <Gallery
                      item={value}
                    />
                  </div>
                );
              })}
            </OwlCarousel>}
        </div>
    )
}
export default megaMenuProductSlider;